#!/bin/sh

set -e
cd "$(dirname "$0")/../"

# Store Output
OUT="$(pwd)/out"
mkdir -p "${OUT}"

# Build
cd workspace/build
for type in *; do
    cd "${type}"
    ../../crosstool-ng/ct-ng build
    # Compress
    tar -cJf "${out}/arm-toolchain-${type}.tar.xz" out
    cd ../
done